<div style="position: relative;">
    <button mat-icon-button class="close-button" [mat-dialog-close]="true">
      <i class="fa-solid fa-xmark"></i>
   </button>
</div>
<div class="row">
    <h1>Ajouter une nouvelle adresse</h1>
    <div class="col-lg-12">
        <form [formGroup]="addressform" (ngSubmit)="addAddress()">

            <div class="mb-3">
                <label for="nom" class="form-label">Nom complet</label>
                <input type="text" class="form-control" id="" placeholder="" name="nom" formControlName="name" />
            </div>
            <div class="errormsg" *ngIf="addressform.get('name')?.touched && addressform.get('name')?.hasError('required')">
                <h4> <b>L'Nom complet est requis</b></h4>
            </div>
            <div class="mb-3">
                <label for="telephone" class="form-label">Numéro de téléphone</label>
                <div class="row">
                    <div class="col-md-3">
                        <select formControlName="countryCode" class="form-select"  [(ngModel)]='nrSelect' (change)="selectCounrtyCode($event)">
                            <!-- <option value="+225" [selected]="true" selected>+225</option>
                            <option value="+91">+91</option> -->
                            <option value="+33">+33</option>
                            <option *ngFor="let code of countries" value="{{code.code}}"  >{{code.code}}</option>
                         </select>
                    </div>
                    
                    <div class="col-md-9">
                        <input type="text" class="form-control" id="" placeholder="" name="telephone" name="nom" formControlName="telephone"   />
                    </div>

                    
    
                   
                </div>
                
            </div>
            <div class="errormsg" *ngIf="addressform.get('telephone')?.touched && addressform.get('telephone')?.hasError('required')">
                <h4> <b>L'Numéro de téléphone est requis</b></h4>
            </div>
            
            <!-- <div class="mb-3">
                <label for="Adresse" class="form-label">Adresse</label>
                <input class="form-control txt-area" placeholder="Adresse" id="comment" name="text" formControlName="address" (onAddressChange)="handleAddressChange2($event)" ngx-google-places-autocomplete>
            </div> -->
            <div class="mb-3">
                <label for="Adresse" class="form-label">Adresse</label>
                <input class="form-control txt-area" placeholder="Adresse" id="comment" name="text" formControlName="address" >
            </div>

            <div class="errormsg" *ngIf="addressform.get('address')?.touched && addressform.get('address')?.hasError('required')">
                <h4> <b>L'Adresse est requis</b></h4>
            </div>
            <div class="mb-3">
                <label for="nom" class="form-label">P.O box</label>
                <input type="text" class="form-control" id="" placeholder="" [value]="my_po" name="nom" formControlName="pobox" />
            </div>
            <!-- <div class="errormsg" *ngIf="addressform.get('pobox')?.touched && addressform.get('pobox')?.hasError('required')">
                <h4> <b>L'P.O box est requis</b></h4>
            </div> -->


            <div class="row">
                <div class="col-lg-4">
                    <div class="mb-3">
                        <label for="postal" class="form-label">Pays</label>
                        <input type="text" class="form-control" id="" placeholder="" [value]="my_country" name="postal" formControlName="country">
                    </div>
                    <!-- <div class="errormsg" *ngIf="addressform.get('country')?.touched && addressform.get('country')?.hasError('required')">
                        <h4> <b>L'Pays est requis</b></h4>
                    </div> -->
                </div>
                <div class="col-lg-8">
                    <div class="mb-3">
                        <label for="Ville" class="form-label">Ville</label>
                        <input type="text" class="form-control" id="" placeholder="" [value]="my_city" name="Ville" formControlName="city">
                    </div>
                    <!-- <div class="errormsg" *ngIf="addressform.get('city')?.touched && addressform.get('city')?.hasError('required')">
                        <h4> <b>L'Ville est requis</b></h4>
                    </div> -->
                </div>
                <h1>Instruction de livraison </h1>
                <div class="col-lg-8">
                    <div class="mb-3">
                        <label for="Ville" class="form-label">Code d'acces</label>
                        <input type="text" class="form-control" id="" placeholder="" name="Ville" (input)="Accesscode=$event.target">
                    </div>
                </div>
                <div class="col-lg-8">
                    <div class="mb-3">
                        <label for="Ville" class="form-label">Intephone</label>
                        <input type="text" class="form-control" id="" placeholder="" name="Ville" (input)="Intephone=$event.target">
                    </div>
                </div>
                <div class="mb-3">
                    <label for="Adresse" class="form-label">Avons-nous besoin d'instructions supplementaires pour trouver
                  cette adresse?</label>
                    <textarea class="form-control txt-area h-a" rows="4" id="comment" name="text" (input)="instructions=$event.target"></textarea>
                </div>

            </div>


            <div>

                <div><button class="btn mb-3 mt-3 btn-theme-fill">Ajouter une adresse</button></div>

                <div class="clearfix"></div>
                    <br>
                    <div class="comeBack_up" *ngIf="apiResponse">
                      <div *ngIf="apiResponse.status ==false; else loggedOut">
                        <div class="alert alert-danger"><strong>{{ apiResponse.errorMessage }}</strong></div>
                      </div>
                      <ng-template #loggedOut>
                        <div class="alert alert-success" *ngIf="apiResponse.errorMessage"><strong>{{ apiResponse.errorMessage }}</strong></div>
                      </ng-template>
                    </div>
                    
            </div>
        </form>
    </div>
</div>